[arch-commits] Commit in python-aiobotocore/repos/community-any (4 files)

Chih-Hsuan Yen yan12125 at archlinux.org
Fri Apr 17 04:12:41 UTC 2020


    Date: Friday, April 17, 2020 @ 04:12:41
  Author: yan12125
Revision: 615403

archrelease: copy trunk to community-any

Added:
  python-aiobotocore/repos/community-any/PKGBUILD
    (from rev 615402, python-aiobotocore/trunk/PKGBUILD)
  python-aiobotocore/repos/community-any/unittest-mock.diff
    (from rev 615402, python-aiobotocore/trunk/unittest-mock.diff)
Deleted:
  python-aiobotocore/repos/community-any/PKGBUILD
  python-aiobotocore/repos/community-any/unittest-mock.diff

--------------------+
 PKGBUILD           |   88 ++++++++++++++++++++++++++-------------------------
 unittest-mock.diff |   74 +++++++++++++++++++++---------------------
 2 files changed, 83 insertions(+), 79 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-17 04:11:04 UTC (rev 615402)
+++ PKGBUILD	2020-04-17 04:12:41 UTC (rev 615403)
@@ -1,42 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-
-pkgname=python-aiobotocore
-_pkgname=aiobotocore
-pkgver=1.0.3
-pkgrel=1
-pkgdesc='asyncio support for botocore library using aiohttp'
-arch=(any)
-url='https://github.com/aio-libs/aiobotocore'
-license=(Apache)
-depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
-checkdepends=(python-flask python-moto python-pytest python-pytest-asyncio)
-source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz"
-        unittest-mock.diff)
-sha256sums=('a80420047960d75434cf68b56eee9a5b765b5c9df4b279fe54d69e3d5fb1e84f'
-            'ffb6b7e922632f4c2de5c93f61ab53e1730cfe151b0a2dde5dfce6260405866e')
-
-prepare() {
-  cd $_pkgname-$pkgver
-  patch -Np1 -i ../unittest-mock.diff
-
-  # Disable dependency pinning
-  # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
-  sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
-  diff -u setup.py{.orig,} || true
-}
-
-build() {
-  cd $_pkgname-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  PYTHONPATH="$PWD/build/lib:$PWD" pytest -v -m moto tests --ignore=tests/test_patches.py
-}
-
-package() {
-  cd $_pkgname-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}

Copied: python-aiobotocore/repos/community-any/PKGBUILD (from rev 615402, python-aiobotocore/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-17 04:12:41 UTC (rev 615403)
@@ -0,0 +1,46 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+
+pkgname=python-aiobotocore
+_pkgname=aiobotocore
+pkgver=1.0.4
+pkgrel=1
+pkgdesc='asyncio support for botocore library using aiohttp'
+arch=(any)
+url='https://github.com/aio-libs/aiobotocore'
+license=(Apache)
+depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
+checkdepends=(python-flask python-moto python-pytest python-pytest-asyncio)
+source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+        unittest-mock.diff)
+sha256sums=('ef9cae30ee8fa2b0b70e92a45d221d6ee7e77d2d7dc26a4e79ab13eaa1e7200d'
+            'ffb6b7e922632f4c2de5c93f61ab53e1730cfe151b0a2dde5dfce6260405866e')
+
+prepare() {
+  cd $_pkgname-$pkgver
+  patch -Np1 -i ../unittest-mock.diff
+
+  # Disable dependency pinning
+  # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
+  sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd $_pkgname-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  export PYTHONPATH="$PWD/build/lib:$PWD"
+  # test_lambda uses moto.awslambda, which requires a running Docker service
+  pytest -v -m moto tests \
+      --ignore=tests/test_patches.py \
+      --ignore=tests/test_lambda.py
+}
+
+package() {
+  cd $_pkgname-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}

Deleted: unittest-mock.diff
===================================================================
--- unittest-mock.diff	2020-04-17 04:11:04 UTC (rev 615402)
+++ unittest-mock.diff	2020-04-17 04:12:41 UTC (rev 615403)
@@ -1,37 +0,0 @@
-diff --git a/tests/botocore/test_credentials.py b/tests/botocore/test_credentials.py
-index ecbe17e..1b2172e 100644
---- a/tests/botocore/test_credentials.py
-+++ b/tests/botocore/test_credentials.py
-@@ -8,7 +8,7 @@ import datetime
- import json
- import subprocess
- 
--import mock
-+from unittest import mock
- from typing import Optional
- 
- import pytest
-diff --git a/tests/botocore/test_signers.py b/tests/botocore/test_signers.py
-index 0e4035e..7529760 100644
---- a/tests/botocore/test_signers.py
-+++ b/tests/botocore/test_signers.py
-@@ -1,5 +1,5 @@
- import pytest
--import mock
-+from unittest import mock
- 
- import aiobotocore
- import aiobotocore.credentials
-diff --git a/tests/botocore/test_utils.py b/tests/botocore/test_utils.py
-index 3d17b87..4089cf1 100644
---- a/tests/botocore/test_utils.py
-+++ b/tests/botocore/test_utils.py
-@@ -1,7 +1,7 @@
- import asyncio
- import pytest
- import json
--import mock
-+from unittest import mock
- import itertools
- from typing import Union, List, Tuple
- 

Copied: python-aiobotocore/repos/community-any/unittest-mock.diff (from rev 615402, python-aiobotocore/trunk/unittest-mock.diff)
===================================================================
--- unittest-mock.diff	                        (rev 0)
+++ unittest-mock.diff	2020-04-17 04:12:41 UTC (rev 615403)
@@ -0,0 +1,37 @@
+diff --git a/tests/botocore/test_credentials.py b/tests/botocore/test_credentials.py
+index ecbe17e..1b2172e 100644
+--- a/tests/botocore/test_credentials.py
++++ b/tests/botocore/test_credentials.py
+@@ -8,7 +8,7 @@ import datetime
+ import json
+ import subprocess
+ 
+-import mock
++from unittest import mock
+ from typing import Optional
+ 
+ import pytest
+diff --git a/tests/botocore/test_signers.py b/tests/botocore/test_signers.py
+index 0e4035e..7529760 100644
+--- a/tests/botocore/test_signers.py
++++ b/tests/botocore/test_signers.py
+@@ -1,5 +1,5 @@
+ import pytest
+-import mock
++from unittest import mock
+ 
+ import aiobotocore
+ import aiobotocore.credentials
+diff --git a/tests/botocore/test_utils.py b/tests/botocore/test_utils.py
+index 3d17b87..4089cf1 100644
+--- a/tests/botocore/test_utils.py
++++ b/tests/botocore/test_utils.py
+@@ -1,7 +1,7 @@
+ import asyncio
+ import pytest
+ import json
+-import mock
++from unittest import mock
+ import itertools
+ from typing import Union, List, Tuple
+ 


More information about the arch-commits mailing list